Version 2026.25
1 new14 changed1 retiring3 fixed
Google Merchant Center¶
With this release, a new Google Merchant Center connector has been added. This connector replaces the legacy Google Content for Shopping connector and integrates with the new Merchant API, providing dedicated authorization and supporting Product Feed and Product Statuses report types. Users can now access enhanced features and improved reliability for collecting product feed and performance data. For more information, see the announcement.
Amazon Ads Metadata¶
With this release, the Store Info report output in the Amazon Ads Metadata connector has been enriched with store page data by integrating the POST /brand/stores/v1/storePages/list endpoint, providing comprehensive store information.
Amazon Advertising¶
With this release, the Amazon Advertising connector has been enhanced.
The error message for fetching data outside the available report type data retention period has been improved to provide more specific guidance.
A new Sponsored Television advertising channel has been added, including dedicated Campaign and Targeting report types for comprehensive analysis of television advertising performance. For more information, see Amazon Advertising: Setup guide.
Amazon Marketing Cloud¶
With this release, new fields have been added to the Amazon Marketing Cloud connector, providing visibility into data suppression due to privacy thresholds. The distinctUserCountColumn, filteredReasonColumn, and filteredMetricsDiscriminatorColumn fields are now exposed in the data output.
Facebook Ads¶
With this release, the Facebook Ads connector has been improved with several new fields and attribution windows.
The
advantage_state_infofield and its four sub-fields (e.g.,campaign_advantage_state) have been added to the selectable campaign fields, allowing programmatic identification of Advantage+ campaigns.The
resultsfield is now available, exposing granular ad performance outcomes, including Reminders metrics for Instagram.New SKAN-related action attribution windows (skan_view, skan_click, skan_click_second_postback, skan_view_second_postback, skan_click_third_postback, skan_view_third_postback) have been added, enabling more granular iOS campaign tracking.
Google Campaign Manager 360¶
With this release, the Google Campaign Manager 360 connector has been enhanced to raise warnings instead of errors for profiles with missing permissions for a requested metric, allowing partial data fetches to complete successfully for authorized profiles.
Google Display & Video 360¶
With this release, the Google Display & Video 360 connector has been improved.
YouTube Ad Format (
FILTER_TRUEVIEW_AD_FORMAT) has been added as a selectable dimension for the YouTube report type.Error handling and messaging for Reach report queries that exceed the 93-day limit without including Date, Week, or Month dimensions have been improved, providing more specific feedback. For more information, see Google Display & Video 360: Setup guide.
Media Screenshots¶
With this release, the media screenshot capture process has been optimized to reduce proxy bandwidth consumption and improve reliability, addressing failures caused by quota exhaustion.
Datastreams API transformer filter¶
With this release, the GET /api/datastreams/ endpoint now supports an optional transformer query parameter, allowing filtering of datastreams by the ID of their assigned transformer. For more information, see Creating and configuring transformations in Management API.
Google Campaign Manager 360 profiles lookup¶
With this release, a new lookup endpoint api/lookups/L2RmYS9kZmFyZXBvcnQvcHJvZmlsZV9hZHZlcnRpc2Vycy8= has been introduced for Google Campaign Manager 360, allowing fetching of profiles with nested advertiser arrays in a single API call.
MAPI column mapping audit and safety¶
With this release, reversion auditing and binding safety have been standardized across MAPI column-mapping writers. PUT /api/datastreams/{id}/columns/map/ now records a ‘Changed Column Mapping’ audit revision and disables mapping-requiring bindings if all mappings are cleared. PATCH /api/datastreams/{id}/columns/ now performs operations atomically. For more information, see Configuring Data Mapping in Management API.
Stacks API UUID lookup¶
With this release, the /api/stacks endpoint now supports filtering by UUID using the optional uuid query parameter. Additionally, the uuid field is now a required property in the 200/201 responses for various /api/stacks endpoints. For more information, see Creating and listing workspaces in Management API.
Users API new fields¶
With this release, new fields have been added to the api/v1/users endpoint. The created, last_login, last_modified, and workspace_names fields are now exposed, providing more comprehensive user data. For more information, see Managing users in Management API.
Bundle connector field type update¶
With this release, the sources field in the Bundle connector JSON form now returns datastream IDs as strings instead of integers in the Management API response.
MCP error management endpoints¶
With this release, new endpoints under api/errors/ have been introduced to manage and handle errors in the Model Context Protocol (MCP). This functionality includes listing all errors, getting error details by ID, retrying errors, confirming errors, and applying actions to error groups. For more information, see Using Adverity MCP.
Walmart Connect (Search)¶
With this release, several attributed sales metrics and other parameters have been deprecated in the Walmart Connect (Search) connector due to API changes. The following fields are no longer available in affected report types and have been removed: brandAttributedSales3days, brandAttributedSales14days, brandAttributedSales30days, directAttributedSales3days, directAttributedSales14days, directAttributedSales30days, relatedAttributedSales3days, relatedAttributedSales14days, relatedAttributedSales30days. The reportDate parameter has also been removed. Walmart recommends using alternative fields such as advertisedSkuSales3days, advertisedSkuSales14days, advertisedSkuSales30days, otherSkuSales3days, otherSkuSales14days, and otherSkuSales30days. Users must update their datastreams accordingly. For more information, see the announcement.
Resolved issues¶
With this release, issues have been resolved for the following connectors and destinations:
Active Agent hotfix
Adobe Analytics 1.4 (Reports)
Basis DSP
Facebook Ads
Google Ads
Google Display & Video 360 hotfix
Google Drive (File Connector)
Google Search Ads 360
Naver Search Ads
Pinterest
Reddit Ads
SharpSpring (Lead Gen & CRM)
Taboola hotfix
TikTok Ads
Yahoo DSP Metadata
MAPI datastream scheduling fix¶
With this release, a Management API issue where enabling a datastream with empty scheduling settings resulted in an incorrect state has been fixed, with default daily schedules now auto-created for compatible connectors. For more information, see Creating datastreams in Management API.
MAPI multiple-choice field format fix¶
With this release, the Management API now correctly handles string values for multiple-choice fields (e.g., breakdowns and action_breakdowns) in PATCH requests to prevent data fetch errors.